﻿@using Portal.Models.LPOPConsolidation;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;

@* wot.dwi 08/11/2012  *@ 

@model Toyota.Common.Web.MVC.ModelHolder
                       
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script src="@Url.Content("~/Scripts/jquery.mtz.monthpicker.js")" type="text/javascript"></script>
@*<link href="@Url.Content("~/Content/Style/LPOPConsolidation.css")" rel="Stylesheet" type="text/css"/>*@

@section Style{
    .ui-datepicker.ui-corner-all { -moz-border-radius: 4px; -webkit-border-radius: 4px; border-radius: 4px; }
    .iu-widget-header { background-color: #94B6E8; color: #94B6E8; }
    .ui-widget-header {
        background: url("images/ui-bg_highlight-soft_15_cc0000_1x100.png") repeat-x scroll 50% 50% #94B6E8;
        background-color: #DDECFF;
        border: 1px solid #94B6E8;
        color: #94B6E8;
        font-weight: bold;
    }
    div.ui-datepicker {width: 17em; padding: .2em .2em 0;}
    div.ui-datepicker-header.mtz-monthpicker {border: 1px solid #DDECFF; background-color: #DDECFF; color: #DDECFF; font-weight: bold;}
    table.mtz-monthpicker {width: 100%; font-size: .9em; border-collapse: collapse; margin:0 0 .4em; }
    td.ui-state-default.mtz-monthpicker-month {border: 1px solid #fff;}
    td.ui-state-default.mtz-monthpicker-month {text-align: center; cursor: pointer; padding: 5px;}
    td.ui-state-default.mtz-monthpicker-month:hover, td.ui-state-default.mtz-monthpicker-month-selected {background: none; background-color: #DDECFF; color: #fff; cursor: pointer;}
    td.ui-state-default.mtz-monthpicker-month:hover {background-color: #fff; color: #000;}
    select.mtz-monthpicker-year {margin-top: 7px;}
}


@section Script{
    /*Month Picker*/
    $(document).ready(function() {
        $('#TxtPMConfirmation').monthpicker({
            startYear: new Date().getFullYear() - 5,
            finalYear: new Date().getFullYear() + 1,
            pattern: 'mmm yyyy',
                monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
        });

        $('#TxtPMConfirmation').bind('onchange',function(e){
            alert("input change");
        });
 
        $('#TxtPMConsolidation').monthpicker({
            startYear: new Date().getFullYear() - 5,
            finalYear: new Date().getFullYear() + 1,
            pattern: 'mmm yyyy',
                monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
        });

        $('#TxtPMConsolidation').bind('onchange',function(e){
            alert("input change");
        });  
    });
}

@section StartupScript{
    TxtPMConsolidation.value = '';
    CmbTimingConsolidation.SetValue();
    GridLPOP_TabConsolidation.PerformCallback();
}


<script type="text/javascript">
    var timing = "";
    var productionMonth = "";
    var sourceData = "";
    var dt = "";
    var vers = "";
    var d_id = "";
    var pack_month = "";
    var action = "";
    var tab_id = "";

    function GetProductionMonth(productionMonth) {
        var paramStr = String(productionMonth).replace('-', '');
        var paramStrLength = String(paramStr).length;

        var year = String(paramStr).substring(paramStrLength, paramStrLength - 4);
        var month = String(paramStr).substring(0, paramStrLength - 4);
        var monthEnum = {
            January: '01',
            February: '02',
            March: '03',
            April: '04',
            May: '05',
            June: '06',
            July: '07',
            August: '08',
            September: '09',
            October: '10',
            November: '11',
            December: '12'
        };
        var monthNum = "";
        if (Boolean(month))
            monthNum = monthEnum[month];

        return year + monthNum;
    }

    function GetRegularProductionMonth(productionMonth) {
        var year = String(productionMonth).substring(0, 4);
        var month = String(productionMonth).substring(String(productionMonth).length, String(productionMonth).length - 2);
        var monthEnum = {
            '01': 'January',
            '02': 'February',
            '03': 'March',
            '04': 'April',
            '05': 'May',
            '06': 'June',
            '07': 'July',
            '08': 'August',
            '09': 'September',
            '10': 'October',
            '11': 'November',
            '12': 'December'
        };

        return monthEnum[month] + " " + year;
    }

    function pad(n) {
        return (n < 10) && (n >= 0) ? ("0" + n) : n;
    }

    /* TAB LPOP CONSOLIDATION */
    function OnClickDeleteConsolidation() {
        var strStatus = "";
        if (confirm('Do you want to delete this data ?')) {
            var GridId = "";
            for (var index = GridLPOP_TabConsolidation.GetTopVisibleIndex() ;
            index < ((GridLPOP_TabConsolidation.GetPageIndex() * GridLPOP_TabConsolidation.cpPageSize) + GridLPOP_TabConsolidation.GetVisibleRowsOnPage()) ;
            index++) {
                if (GridLPOP_TabConsolidation.IsRowSelectedOnPage(index)) {
                    GridId += GridLPOP_TabConsolidation.cpProductionMonth[index - (GridLPOP_TabConsolidation.GetPageIndex() * GridLPOP_TabConsolidation.cpPageSize)] + "_" +
                    GridLPOP_TabConsolidation.cpDataSource[index - (GridLPOP_TabConsolidation.GetPageIndex() * GridLPOP_TabConsolidation.cpPageSize)] + "_" +
                    GridLPOP_TabConsolidation.cpTiming[index - (GridLPOP_TabConsolidation.GetPageIndex() * GridLPOP_TabConsolidation.cpPageSize)] + ";";
                    strStatus = GridLPOP_TabConsolidation.cpStatus[index - (GridLPOP_TabConsolidation.GetPageIndex() * GridLPOP_TabConsolidation.cpPageSize)];
                }
            }
            if (GridId.length > 0)
                GridId = GridId.substring(0, GridId.length - 1);

            if (GridId == "") {
                alert("No Data Selected !!!");
            }
            else if (strStatus == 1) {
                alert("Please delete consolidated data first on LPOP Confirmation screen");
            }
            else {
                SplitGridId = GridId.split(";");
                ProductionMonth = SplitGridId[0];
                SourceData = SplitGridId[1];
                Timing = SplitGridId[2];

                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/LPOPConsolidation/DeleteLPOPConsolidation")",
                    data: {
                        GridId: GridId
                    },
                    success: function (result) {
                        alert(result);

                    },
                    error: function (result) {
                        alert("Error when update data");
                    }
                });
                GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
                GridLPOP_TabConsolidation.PerformCallback();
            }
        }
    }

    // Changed By   : fid.salman
    // Changed Date : 29.08.2013
    // Description  : Prevent multiple callback from ASPxClientGridView with disabling trigger control.
    function OnHeaderTabLPOPConsolidationButtonEnabled(isEnabled) {
        BtnConsolidateConsolidation.SetEnabled(isEnabled);
        BtnSearchConsolidation.SetEnabled(isEnabled);
        BtnClearConsolidation.SetEnabled(isEnabled);
        BtnDeleteConsolidation.SetEnabled(isEnabled);
    }

    function OnInitGridConsolidation(s, e) {
        OnHeaderTabLPOPConsolidationButtonEnabled(true);
    }

    function OnBeginCallbackGridConsolidation(s, e) {
        OnHeaderTabLPOPConsolidationButtonEnabled(false);

        if (action == "rowClick") {
            e.customArgs["ProductionMonth"] = productionMonth;
            e.customArgs["SourceData"] = sourceData;
            e.customArgs["timing"] = timing;

            action = "";
        }

        e.customArgs["PMConsolidation"] = document.getElementById('TxtPMConsolidation').value;
        e.customArgs["TimingConsolidation"] = CmbTimingConsolidation.GetValue();
    }

    function OnEndCallbackGridConsolidation(s, e) {
        OnHeaderTabLPOPConsolidationButtonEnabled(true);
    }

    function OnRowClickGridConsolidation(s, e) {
        var parameterValues = GridLPOP_TabConsolidation.GetRowKey(e.visibleIndex).toString().split('|');

        productionMonth = parameterValues[0];
        sourceData = parameterValues[1];
        timing = parameterValues[2];

        action = "rowClick";
    }

    function OnClickConsolidate(s, e) {
        var monthly = "";
        var data_sourcely = "";
        var timingly = "";
        var statusly = "";

        var count_data = 0;
        count_data = GridLPOP_TabConsolidation.GetSelectedRowCount();

        for (var indexCount = GridLPOP_TabConsolidation.GetTopVisibleIndex() ; indexCount < GridLPOP_TabConsolidation.GetVisibleRowsOnPage() ; indexCount++) {
            if (GridLPOP_TabConsolidation.IsRowSelectedOnPage(indexCount)) {
                monthly += GridLPOP_TabConsolidation.cpProductionMonth[indexCount] + ",";
                data_sourcely += GridLPOP_TabConsolidation.cpDataSource[indexCount] + ",";
                timing = GridLPOP_TabConsolidation.cpTiming[indexCount];
                timingly += GridLPOP_TabConsolidation.cpTiming[indexCount] + ",";
                statusly += GridLPOP_TabConsolidation.cpStatus[indexCount] + ",";
            }
        }

        if (count_data == 1) {
            alert('Can\'t Consolidate Data. \nPlease Select Records in Right Criteria.');
        }
        else if ((count_data >= 2) && (count_data <= 3)) {
            monthly = monthly.substring(0, monthly.length - 1);
            data_sourcely = data_sourcely.substring(0, data_sourcely.length - 1);
            timingly = timingly.substring(0, timingly.length - 1);

            var monthlys = monthly.split(",");
            var dataSourcelys = data_sourcely.split(",");
            var timinglys = timingly.split(",");
            var statuslys = statusly.split(",");

            if (timinglys[0] != timinglys[1]) {
                alert('You have to select same Timing.');
            }
            else {
                if (monthlys[0] != monthlys[1]) {
                    alert('Please selected right Production Month.');
                }
                else {
                    if (statuslys[0] == 1 || statuslys[1] == 1) {
                        alert('Can\'t consolidate already consolidated data.');
                    }
                    else {
                        //SPEX
                        if (count_data == 3)
                        {
                            if ((timinglys[0] != timinglys[1]) && (timinglys[0] != timinglys[2]) && (timinglys[1] != timinglys[2])) {
                                alert('You have to select same Timing Bro.');
                                GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
                                GridLPOP_TabConsolidation.PerformCallback();
                                return;
                            }

                            if ((monthlys[0] != monthlys[1]) && (monthlys[0] != monthlys[2]) && (monthlys[1] != monthlys[2])) {
                                alert('Please selected right Production Month Bro.');
                                GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
                                GridLPOP_TabConsolidation.PerformCallback();
                                return;
                            }

                            if ((statuslys[0] == 1) || (statuslys[1] == 1) || (statuslys[2] == 1)) {
                                alert('Can\'t consolidate already consolidated data Bro.');
                                GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
                                GridLPOP_TabConsolidation.PerformCallback();
                                return;
                            }
                        }

                        if ((timinglys[0] == "Firm" && ((dataSourcelys[0] == "FCST" && dataSourcelys[1] == "NCS" && dataSourcelys[2] == "SPEX")
                                                        || (dataSourcelys[0] == "NCS" && dataSourcelys[1] == "FCST" && dataSourcelys[2] == "SPEX")
                                                        || (dataSourcelys[0] == "SPEX" && dataSourcelys[1] == "FCST" && dataSourcelys[2] == "NCS")
                                                        || (dataSourcelys[0] == "SPEX" && dataSourcelys[1] == "NCS" && dataSourcelys[2] == "FCST")
                                                        || (dataSourcelys[0] == "NCS" && dataSourcelys[1] == "SPEX" && dataSourcelys[2] == "FCST")
                                                        || (dataSourcelys[0] == "FCST" && dataSourcelys[1] == "SPEX" && dataSourcelys[2] == "NCS"))) ||
                            (timinglys[0] == "Tentative" && ((dataSourcelys[0] == "FCST" && dataSourcelys[1] == "TNQC") || (dataSourcelys[0] == "TNQC" && dataSourcelys[1] == "FCST")))) {

                            $.ajax({
                                type: "POST",
                                url: "@Url.Content("~/LPOPConsolidation/ConsolidatedData")",
                                data: {
                                    ProductionMonth: monthlys[0],
                                    Source1: dataSourcelys[0],
                                    Source2: dataSourcelys[1],
                                    Source3: count_data == 3 ? dataSourcelys[2] : "",
                                    Timing: timinglys[0]
                                },
                                success: function (result) {
                                    alert("Success to Consolidate Data");
                                    GridLPOP_TabConsolidation.PerformCallback();
                                },
                                error: function (result) {
                                    alert("Error to Consolidate Data");
                                }
                            });
                        }
                        else {
                            alert('You have to select records with correct data source.');
                        }
                    }
                }
            }
        }
        else {
            alert('Please Right Selected Records to Consolidate Data.');
        }
        GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
        GridLPOP_TabConsolidation.PerformCallback();
    }

    function OnClickSearchConsolidation(s, e) {
        GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
        GridLPOP_TabConsolidation.PerformCallback();
    }

    function OnClickClearConsolidation(s, e) {
        TxtPMConsolidation.value = '';
        CmbTimingConsolidation.SetValue();

        GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
        GridLPOP_TabConsolidation.PerformCallback();
    }

    function OnClickDownloadHere(s, e) {
        $.fileDownload("LPOPConsolidation/DownloadTemplate/", {
            data: {
            },
            successCallback: function (url) {
            },
            failCallback: function (responseHtml, url) {
                alert(responseHtml);
            }
        });
    }

    //    function OnClickCreatePO(s, e) {
    //        if (s.GetChecked()) {
    //            CLDownload.SetEnabled(false);
    //            CLDelete.SetEnabled(false);
    //            btnUpload.SetEnabled(false);
    //            CLCreate_PO.SetEnabled(false);
    //        }
    //        else {
    //            CLDownload.SetEnabled(true);
    //            CLDelete.SetEnabled(true);
    //            btnUpload.SetEnabled(true);

    //            $.ajax({
    //            type: "POST",
    //            url: "@Url.Content("~/LPOPConsolidation/ICSGeneratePurchaseOrder")",
    //            data: {
    //                dataList: '1',
    //                functionId: 'process'
    //            },
    //            success: function (result) {
    //                alert('sukses');
    //            },
    //            error: function (result) {
    //                alert("Error On UplLPOPConfirmation File Upload Cleared.");
    //            }
    //        });
    //        }
    //    }

    function OnGridPopupLPOPConsolidationDetailBeginCallback(s, e) {
        e.customArgs["ProductionMonth"] = productionMonth;
        e.customArgs["timing"] = timing;
    }

    function OnXLSClickGridConsolidate(s, e) {
        var tempName = s.name.substring(13);
        productionMonth = $('#GridLPOP_TabConsolidation').find('#pm_' + tempName).filter(':first');
        sourceData = $('#GridLPOP_TabConsolidation').find('#ds_' + tempName).filter(':first');
        timing = $('#GridLPOP_TabConsolidation').find('#t_' + tempName).filter(':first');
        tab_id = "consolidate";

        $("#lblProdMonth").text(productionMonth.text());
        $("#lblDataSource").text(sourceData.text());
        $("#lblTiming").text(timing.text());

        popupDownload.Show();
    }

    /* TAB LPOP CONFIRMATION*/
    function OnClickDownloadLPOPConfirmation(s, e) {
        if (confirm('Do you want to Print this data ?')) {
            var GridId = "";
            for (var index = GridLPOP_TabConfirmation.GetTopVisibleIndex() ; index < ((GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize) + GridLPOP_TabConfirmation.GetVisibleRowsOnPage()) ; index++) {
                if (GridLPOP_TabConfirmation.IsRowSelectedOnPage(index)) {
                    GridId += GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
                    GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + ";";
                }
            }

            if (GridId.length > 0)
                GridId = GridId.substring(0, GridId.length - 1);

            if (GridId == "") {
                alert("No Data Selected !!!");
            }

            else if (GridId.search(";") > 0) {
                //console.log(GridId.search(";"));
                alert("Only one data can selected !!!");
            }

            else {
                $.fileDownload("LPOPConsolidation/DownloadLPOPConfirmation/", {
                    data: {
                        GridId: GridId
                    },
                    successCallback: function (url) {
                    },
                    failCallback: function (responseHtml, url) {
                        alert(responseHtml);
                    }
                });
                GridLPOP_TabConfirmation.PerformCallback();
            }
        }
        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
    }


    function OnClickCreatePO() {
        var GridId = "";
        var StrApprove = "";
        var RejectedTiming = 0;
        var timingNow;
        var StrPO = "";

        var today = new Date();
        productionMonth = today.getFullYear() + pad(today.getMonth() + 1);

        for (var index = GridLPOP_TabConfirmation.GetTopVisibleIndex() ; index < ((GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize) + GridLPOP_TabConfirmation.GetVisibleRowsOnPage()) ; index++) {
            if (GridLPOP_TabConfirmation.IsRowSelectedOnPage(index)) {
                GridId += GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
                GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
                GridLPOP_TabConfirmation.cpApprove[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + ";";

                if (GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] == 'Tentative')
                    RejectedTiming = RejectedTiming + 1;

                if (StrApprove == null || StrApprove == "")
                    StrApprove = GridLPOP_TabConfirmation.cpApprove[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];
                if (StrPO == null || StrPO == "")
                    StrPO = GridLPOP_TabConfirmation.cpCreatePO[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];

                timingNow = GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];

                //                if (GetProductionMonth(timingNow) != productionMonth)
                //                {
                //                    popupLPOPConfirmationUploadProgress.Hide();
                //                    alert('Data(s) should be in this month!!!');
                //                    return;
                //                }
            }
        }

        if (GridId.length > 0)
            GridId = GridId.substring(0, GridId.length - 1);

        if (GridId == "") {
            alert("No Data Selected !!!");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else if (StrApprove == null) {
            alert("Data not yet Approved");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else if (RejectedTiming > 0) {
            alert("All Data should be in firm condition!!!");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else if (StrPO != null) {
            alert("PO already created");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else {
            //                        _cmfunc_monitorBackgroundTask("GoodsReceiptPosting", function() {
            //                            $("#GRIIPMessageLabel").text("Approval Success!");
            //                            GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
            //                            GridLPOP_TabConfirmation.PerformCallback();
            //                            alert('success');
            //                        }, function() {
            //                            $("#GRIIPMessageLabel").text("Approval Failed!");
            //                            GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
            //                            GRIDGridView.PerformCallback();
            //                        });

            if (confirm('Do you want to Create PO ?')) {
                $("#HTLCUPMessageLabel").text("Create PO is in progress, \nPlease wait...");
                popupLPOPConfirmationUploadProgress.Show();

                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/LPOPConsolidation/CreatePO")",
                    data: {
                        GridId: GridId
                    },
                    success: function (result) {
                        $("#HTLCUPMessageLabel").text(result);
                        popupLPOPConfirmationUploadProgress.Hide();
                        popupResult.Show();
                        $("#PopupResultMessageLabel").text(result);
                        GridLPOP_TabConfirmation.PerformCallback();
                    },
                    error: function (result) {
                        $("#HTLCUPMessageLabel").text("Error when Create PO");
                        popupLPOPConfirmationUploadProgress.Hide();

                        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
                    }
                });
            }
        }

        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
    }

    //    function OnClickPerformMasterCompleteness() {
    //        if (confirm('Do you want to Perform Master Completeness Check?')) {
    //
    //            var GridId = "";
    //            var StrApprove = "";
    //            var RejectedTiming = 0;
    //            var timingNow;
    //            for (var index = GridLPOP_TabConfirmation.GetTopVisibleIndex(); index < ((GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize) + GridLPOP_TabConfirmation.GetVisibleRowsOnPage()); index++) {
    //                if (GridLPOP_TabConfirmation.IsRowSelectedOnPage(index)) {
    //                    GridId += GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
    //                    GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
    //                    GridLPOP_TabConfirmation.cpApprove[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + ";";

    //                    if (GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] == 'Tentative')
    //                        RejectedTiming = RejectedTiming + 1;

    //                    if (StrApprove == null || StrApprove == "")
    //                    StrApprove = GridLPOP_TabConfirmation.cpApprove[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];

    //                }
    //            }

    //            if (GridId.length > 0)
    //                GridId = GridId.substring(0, GridId.length - 1);

    //            if (GridId == "") {
    //                alert("No Data Selected !!!");
    //            }
    //            else if (StrApprove == null) {
    //                alert("Data not yet Approved");
    //            }
    //            else {
    //                $("#HTLCUPMessageLabel").text("Perform Master Completeness Check is in progress, \nPlease wait...");
    //                popupLPOPConfirmationUploadProgress.Show();
    //                $.ajax({
    //                    type: "POST",
    //                    url: "@Url.Content("~/LPOPConsolidation/PerformMaster")",
    //                    data: {
    //                        GridId: GridId
    //                    },
    //                    success: function (result) {
    //                        $("#HTLCUPMessageLabel").text(result);
    //                        popupLPOPConfirmationUploadProgress.Hide();
    //                        GridLPOP_TabConfirmation.PerformCallback();
    //                    },
    //                    error: function (result) {
    //                        $("#HTLCUPMessageLabel").text("Error when Create PO");
    //                        popupLPOPConfirmationUploadProgress.Hide();
    //                        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
    //                    }
    //                });
    //            }
    //        }
    //        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
    //    }

    function OnClickApproveConfirmation() {
        if (confirm('Do you want to Approve this data ?')) {
            var GridId = "";
            var StrApprove = "";
            for (var index = GridLPOP_TabConfirmation.GetTopVisibleIndex() ; index < ((GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize) + GridLPOP_TabConfirmation.GetVisibleRowsOnPage()) ; index++) {
                if (GridLPOP_TabConfirmation.IsRowSelectedOnPage(index)) {
                    GridId += GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
                    GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + ";";
                    if (StrApprove == null || StrApprove == "")
                        StrApprove = GridLPOP_TabConfirmation.cpApprove[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];
                }
            }

            if (GridId.length > 0)
                GridId = GridId.substring(0, GridId.length - 1);

            if (GridId == "") {
                alert("No Data Selected !!!");
            }
            else if (StrApprove != null && StrApprove != "") {
                alert("Can\'t approve already approved data.");
            }

            else {

                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/LPOPConsolidation/ApproveLPOPConfirmation")",
                    data: {
                        GridId: GridId
                    },
                    success: function (result) {
                        alert(result);
                        GridLPOP_TabConfirmation.PerformCallback();
                    },
                    error: function (result) {
                        alert("Error when approve data");
                        GridLPOP_TabConfirmation.PerformCallback();
                    }
                });

            }
        }
        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
    }

    function OnClickDeleteConfirmation() {
        if (confirm('Do you want to delete this data ?')) {
            var GridId = "";
            var StrApprove = "";
            for (var index = GridLPOP_TabConfirmation.GetTopVisibleIndex() ; index < ((GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize) + GridLPOP_TabConfirmation.GetVisibleRowsOnPage()) ; index++) {
                if (GridLPOP_TabConfirmation.IsRowSelectedOnPage(index)) {
                    GridId += GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
                    GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + ";";
                    if (StrApprove == null || StrApprove == "")
                        StrApprove = GridLPOP_TabConfirmation.cpCreatePO[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];
                }
            }

            if (GridId.length > 0)
                GridId = GridId.substring(0, GridId.length - 1);

            if (GridId == "") {
                alert("No Data Selected !!!");
            }
            else if (StrApprove != null) {
                alert("Data has been Created PO");
            }
            else {
                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/LPOPConsolidation/DeleteLPOPConfirmation")",
                    data: {
                        GridId: GridId
                    },
                    success: function (result) {
                        alert(result);
                        GridLPOP_TabConfirmation.PerformCallback();
                    },
                    error: function (result) {
                        alert("Error when delete data");
                    }
                });
            }
        }
        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
    }

    // Changed By   : fid.salman
    // Changed Date : 29.08.2013
    // Description  : Prevent multiple callback from ASPxClientGridView with disabling trigger control.
    function OnHeaderTabLPOPConfirmationButtonEnabled(isEnabled) {
        BtnDelete.SetEnabled(isEnabled);
        BtnSearch.SetEnabled(isEnabled);
        BtnClear.SetEnabled(isEnabled);
        BtnApproved.SetEnabled(isEnabled);
        CLCreate_PO.SetEnabled(isEnabled);
    }

    function OnInitGridConfirmation(s, e) {
        OnHeaderTabLPOPConfirmationButtonEnabled(true);
    }

    function OnBeginCallbackGridConfirmation(s, e) {
        OnHeaderTabLPOPConfirmationButtonEnabled(false);

        if (action == "RowClick") {
            e.customArgs["ProductionMonth"] = productionMonth;
            e.customArgs["Timing"] = timing;

            action = "";
        }
        e.customArgs["PMConfirmation"] = document.getElementById('TxtPMConfirmation').value;
        e.customArgs["TimingConsolidation"] = CmbTimingConfirmation.GetValue();
    }

    function OnRowClickGridConfirmation(s, e) {
        var parameterValues = GridLPOP_TabConfirmation.GetRowKey(e.visibleIndex).toString().split('|');

        productionMonth = parameterValues[0];
        timing = parameterValues[1];

        action = "RowClick";
    }

    function OnClickSearchConfirmation(s, e) {
        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
        GridLPOP_TabConfirmation.PerformCallback();
    }

    function OnClickClearConfirmation(s, e) {
        TxtPMConfirmation.value = '';
        CmbTimingConfirmation.SetValue();

        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
        GridLPOP_TabConfirmation.PerformCallback()
    }

    function ShowPopupLPOPConfirmationDetail(s, e) {
        PopupConfirmationDetail.Show();
    }

    function OnXLSClickGridConfirmation(s, e) {
        var tempName = s.name.substring(28);

        productionMonth = $('#GridLPOP_TabConfirmation').find('#id_' + tempName).filter(':first');
        timing = $('#GridLPOP_TabConfirmation').find('#type_' + tempName).filter(':first');
        tab_id = "confirmation";

        $("#lblProdMonth").text(productionMonth.text());
        $("#lblDataSource").text("FCST");
        $("#lblTiming").text(timing.text());

        popupDownload.Show();
    }

    function OnXLSClickGridConfirmationPO(s, e) {
        var tempName = s.name.substring(30);

        console.log(tempName);

        productionMonth = $('#GridLPOP_TabConfirmation').find('#id_' + tempName).filter(':first');
        timing = $('#GridLPOP_TabConfirmation').find('#type_' + tempName).filter(':first');
        tab_id = "confirmationPO";

        $("#lblProdMonth").text(productionMonth.text());
        $("#lblDataSource").text("FCST");
        $("#lblTiming").text(timing.text());

        popupDownload.Show();
    }

    function OnXLSClickGridConfirmationCompCheck(s, e)
    {
        var tempName = s.name.substring(37);
        productionMonth = $('#GridLPOP_TabConfirmation').find('#id_' + tempName).filter(':first');

        popupLPOPConfirmationUploadProgress.Show();

        $.fileDownload("LPOPConsolidation/DownloadCompletenessCheck/", {
                data: {
                    ProductionMonth: productionMonth.text()
                },
                successCallback: function (url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                },
                failCallback: function (responseHtml, url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert(responseHtml);
                }
            });
    }

    function OnGridPopupLPOPConfirmationDetailBeginCallback(s, e) {
        e.customArgs["ProductionMonth"] = productionMonth;
        e.customArgs["timing"] = timing;
    }

    /* POPUP */
    function ShowPopupLPOPConsolidationDetail(s, e) {
        sourceData = $('#GridLPOP_TabConsolidation').find('#ds_' + s.name.substring(3)).filter(':first');
        var strSourceCode = sourceData.text();

        if (strSourceCode == "FCST") {
            PopupLPOPConsolidationFCST.Show();
        }
        else if (strSourceCode == "TNQC") {
            PopupLPOPConsolidationTNQC.Show();
        }
        else if (strSourceCode == "SPEX") {
            PopupLPOPConsolidationSPEX.Show();
        }
        else {
            PopupLPOPConsolidationNCS.Show();
        }
    }

    function OnShowPopupFCST(s, e) {
        PopupLPOPConsolidationFCST.SetHeaderText("FCST - Production Month: " + productionMonth);
        PopupLPOPConsolidationFCST.PerformCallback();
    }

    function OnShowPopupTNQC(s, e) {
        PopupLPOPConsolidationTNQC.SetHeaderText("TNQC - Production Month : " + productionMonth);
        PopupLPOPConsolidationTNQC.PerformCallback();
    }

    function OnShowPopupNCS(s, e) {
        PopupLPOPConsolidationNCS.SetHeaderText("NCS - Production Month : " + productionMonth);
        PopupLPOPConsolidationNCS.PerformCallback();
    }

    function OnShowPopupSPEX(s, e) {
        PopupLPOPConsolidationSPEX.SetHeaderText("SPEX - Production Month : " + productionMonth);
        PopupLPOPConsolidationSPEX.PerformCallback();
    }

    function OnShowPopupConfirmationDetail(s, e) {
        PopupLPOPConfirmationDetail.SetHeaderText("Production Month : " + productionMonth);
        PopupLPOPConfirmationDetail.PerformCallback();
    }

    function OnShowPopupAbnormality(s, e) {
        PopupLPOPConfirmationAbnormality.SetHeaderText("Production Month: " + productionMonth);
        PopupLPOPConfirmationAbnormality.PerformCallback();
    }

    function ShowPopupLPOPConfirmationAbnormality(s, e) {
        PopupLPOPConfirmationAbnormality.Show();
    }

    function ShowPopupLPOPConfirmationDetail(s, e) {
        PopupLPOPConfirmationDetail.Show();
    }

    // ====================== Upload LPOP Confirmation function ======================
    function OnUplLPOPConfirmationFileUploadComplete(s, e) {
        if (e.isValid) {
            filePath = e.callbackData;

            $("#HTLCUPMessageLabel").text("Upload in progress, \nPlease wait...");
            popupLPOPConfirmationUploadProgress.Show();

            $.ajax({
                type: "POST",
                url: "@Url.Content("~/LPOPConsolidation/HeaderTabLPOPConfirmation_Upload")",
                dataType: "json",
                data: {
                    productionMonth: productionMonth,
                    version: vers,
                    filePath: filePath
                },
                success: function (result) {
                    var parameterValues = result.Status.split(';');
                    if (parameterValues[0] == "true") {
                        popupLPOPConfirmationUploadProgress.Hide();
                        OnUplLPOPConfirmationFileUploadValid(parameterValues[1], parameterValues[2], parameterValues[3], parameterValues[4]);
                    }
                    else if (parameterValues[0] == "false") {
                        popupLPOPConfirmationUploadProgress.Hide();
                        OnUplLPOPConfirmationFileUploadInvalid(parameterValues[1], parameterValues[2], parameterValues[3], parameterValues[4]);
                    }
                },
                error: function (result) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert("Error On UplLPOPConfirmation File Upload Complete.");
                }
            });
        }
    }

    function OnUplLPOPConfirmationFileUploadValid(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/LPOPConsolidation/UploadValid")",
            dataType: "json",
            data: {
                processId: processId,
                functionId: functionId,
                temporaryTableValidate: temporaryTableValidate
            },
            success: function (result) {
                GridLPOP_TabConfirmation.PerformCallback();

                // clear temporary upload data
                OnUplLPOPConfirmationFileUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate);
            },
            error: function (result) {
                alert("Error On UplLPOPConfirmation File Upload Valid.");
            }
        });
    }

    function OnUplLPOPConfirmationFileUploadInvalid(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
        $("#HTLCUPMessageLabel").text("Upload invalid, \nPlease wait...");

        $.fileDownload("LPOPConsolidation/DownloadInvalid/", {
            dataType: "text",
            data: {
                processId: processId,
                functionId: functionId,
                temporaryTableUpload: temporaryTableUpload
            },
            successCallback: function (url) {
                // clear temporary upload data
                OnUplLPOPConfirmationFileUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate);
                popupLPOPConfirmationUploadProgress.Hide();
            },
            failCallback: function (responseHtml, url) {
                popupLPOPConfirmationUploadProgress.Hide();
                alert("Error On UplLPOPConfirmation File Upload Invalid.");
            }
        });
    }

    function OnUplLPOPConfirmationFileUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/LPOPConsolidation/ClearAllFeedbackPartUpload")",
            data: {
                processId: processId,
                functionId: functionId,
                temporaryTableUpload: temporaryTableUpload,
                temporaryTableValidate: temporaryTableValidate
            },
            success: function (result) {

            },
            error: function (result) {
                alert("Error On UplLPOPConfirmation File Upload Cleared.");
            }
        });
    }

    function OnBtnUploadClick(s, e) {
        popupLPOPConfirmationUploadConfirmation.Show();
    }

    function OnHTLCFUCOkButtonClick(s, e) {
        popupLPOPConfirmationUploadConfirmation.Hide();
        UplLPOPConfirmation.UploadFile();
    }

    function OnPopupLPOPConfirmationUploadConfirmationShown(s, e) {
        //        $("#FDUCProductionMonthLabel").text(productionMonth);
        //        $("#FDUCSupplierLabel").text(supplierCode);
        //        $("#FDUCVersionLabel").text(version);
    }

    function OnHTLCFUCCancelButtonClick(s, e) {
        popupLPOPConfirmationUploadConfirmation.Hide();
    }
    // ==========================================================================

    function OnTabChanged(s, e) {
        if (LPOPConsolidateTab.GetActiveTabIndex() == 0) {
            GridLPOP_TabConsolidation.UnselectAllRowsOnPage();
            GridLPOP_TabConsolidation.PerformCallback();
        }
        else {
            GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
            GridLPOP_TabConfirmation.PerformCallback()
        }
    }
    function DownloadXLS() {
        productionMonth = $("#lblProdMonth").text();
        sourceData = $("#lblDataSource").text();
        timing = $("#lblTiming").text();

        popupDownload.Hide();

        if (tab_id == "consolidate") {
            $("#HTLCUPMessageLabel").text("Download in progress, \nPlease wait...");
            popupLPOPConfirmationUploadProgress.Show();

            $.fileDownload("LPOPConsolidation/DownloadXLS/", {
                data: {
                    ProductionMonth: productionMonth,
                    SourceData: sourceData,
                    Timing: timing
                },
                successCallback: function (url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                },
                failCallback: function (responseHtml, url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert(responseHtml);
                }
            });
        }
        else if (tab_id == "confirmation") {
            $("#HTLCUPMessageLabel").text("Download in progress, \nPlease wait...");
            popupLPOPConfirmationUploadProgress.Show();

            $.fileDownload("LPOPConsolidation/GridConfirmationDownloadXLS/", {
                data: {
                    ProductionMonth: productionMonth,
                    Timing: timing
                },
                successCallback: function (url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                },
                failCallback: function (responseHtml, url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert(responseHtml);
                }
            });
        }
        else {
            $("#HTLCUPMessageLabel").text("Download in progress, \nPlease wait...");
            popupLPOPConfirmationUploadProgress.Show();

            $.fileDownload("LPOPConsolidation/GridConfirmationDownloadPOXLS/", {
                data: {
                    ProductionMonth: productionMonth
                },
                successCallback: function (url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                },
                failCallback: function (responseHtml, url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert(responseHtml);
                }
            });

            popupLPOPConfirmationUploadProgress.Hide();
        }
    }

    var linkNameObj = '';
    var linkStatusObj = '';

    function LPOPConfirmationEditLink_Click(s, e) {
        var index = s.name.substring(24);
        linkNameObj = s.name;
        linkStatusObj = 'E';
        GridLPOP_TabConfirmation.StartEditRow(index);
    }

    function GridLPOP_TabConfirmation_EndCallback(s, e) {
        OnHeaderTabLPOPConfirmationButtonEnabled(true);

        if (linkStatusObj == '')
            document.getElementById(linkNameObj).style.display = "block";
        else
            document.getElementById(linkNameObj).style.display = "none";
    }

    function validateUpdate() {
        var result = false;

        if ((dt_FeedbackDueDate.GetText() != "") && (dt_LastRemindingDate.GetText() != ""))
            result = true;

        return result;
    }

    function btnUpdate_Click(s, e) {
        if (validateUpdate()) {
            //---=== Ajax store
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/LPOPConsolidation/UpdateDataGrid")",
                data: {
                    feedbackDueDate: dt_FeedbackDueDate.GetText(),
                    lastRemindingDate: dt_LastRemindingDate.GetText(),
                    prodMonth: txt_id.GetText(),
                    timing: txt_LPOPtype.GetText()
                },
                success: function (result) {
                    if (result == 'Success') {
                        GridLPOP_TabConfirmation.PerformCallback();
                        GridLPOP_TabConfirmation.CancelEdit();
                    } else {
                        alert(result);
                    }
                },
                error: function (result) {
                    alert(result);
                    GridLPOP_TabConfirmation.PerformCallback();
                    GridLPOP_TabConfirmation.CancelEdit();
                }
            });
            linkStatusObj = '';
            //---=== End ajax store
        }
    }

</script>


@Html.DevExpress().PageControl(
    settings => {
        settings.Name = "LPOPConsolidateTab";
        settings.Width = Unit.Percentage(100);
        settings.ClientSideEvents.ActiveTabChanged = "OnTabChanged";
        settings.TabPages.Add("LPOP Consolidation").SetContent(() =>
        {
            Html.RenderAction("HeaderTabLPOPConsolidation", "LPOPConsolidation");
        });

        settings.TabPages.Add(" LPOP Confirmation").SetContent(() =>
        {
            Html.RenderAction("HeaderTabLPOPConfirmation", "LPOPConsolidation");
        });                 
}).GetHtml()   

@* DETAIL POPUP FCST ON LPOP CONSOLIDATION *@
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "PopupLPOPConsolidationFCST";
        settings.HeaderText = "FCST Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "PopupLPOPConsolidationDetail_FCST" };
        settings.ClientSideEvents.Shown = "OnShowPopupFCST";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConsolidationDetailBeginCallback";
        settings.Width = Unit.Percentage(95);
        //settings.Height = Unit.Percentage(100);
        //settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        //settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConsolidationDetail_FCST", "LPOPConsolidation");
        });
    }).GetHtml()

@* DETAIL POPUP NCS ON LPOP CONSOLIDATION *@
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "PopupLPOPConsolidationNCS";
        settings.HeaderText = "NCS Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "PopupLPOPConsolidationDetail_NCS" };
        settings.ClientSideEvents.Shown = "OnShowPopupNCS";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConsolidationDetailBeginCallback";
        settings.Width = Unit.Percentage(95);
        //settings.Height = Unit.Pixel(600);
        //settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        //settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConsolidationDetail_NCS", "LPOPConsolidation");
        });
    }).GetHtml()        

@* DETAIL POPUP TNQC ON LPOP CONSOLIDATION *@
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "PopupLPOPConsolidationTNQC";
        settings.HeaderText = "TNQC Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "PopupLPOPConsolidationDetail_TNQC" };
        settings.ClientSideEvents.Shown = "OnShowPopupTNQC";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConsolidationDetailBeginCallback";
        settings.Width = Unit.Percentage(95);
        //settings.Height = Unit.Pixel(400);
        //settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        //settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConsolidationDetail_TNQC", "LPOPConsolidation");
        });
    }).GetHtml()

@* DETAIL POPUP SPEX ON LPOP CONSOLIDATION *@
@Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "PopupLPOPConsolidationSPEX";
        settings.HeaderText = "SPEX Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "PopupLPOPConsolidationDetail_SPEX" };
        settings.ClientSideEvents.Shown = "OnShowPopupSPEX";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConsolidationDetailBeginCallback";
        settings.Width = Unit.Percentage(95);
        //settings.Height = Unit.Pixel(600);
        //settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        //settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConsolidationDetail_SPEX", "LPOPConsolidation");
        });
    }).GetHtml()

  
    
@* DETAIL POPUP DETAIL ON LPOP CONFIRMATION *@
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "PopupLPOPConfirmationDetail";
        settings.HeaderText = "Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "PopupLPOPConfirmationDetail" };
        settings.ClientSideEvents.Shown = "OnShowPopupConfirmationDetail";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConfirmationDetailBeginCallback";
        settings.Width = Unit.Percentage(95);
        //settings.Height = Unit.Pixel(400);
        //settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConfirmationDetail", "LPOPConsolidation");
        });
    }).GetHtml()

@* DETAIL POPUP ABNORMALITY ON LPOP CONFIRMATION *@
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "PopupLPOPConfirmationAbnormality";
        settings.HeaderText = "Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "PopupLPOPConfirmationAbnormality" };
        settings.ClientSideEvents.Shown = "OnShowPopupAbnormality";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConfirmationDetailBeginCallback";
        settings.Width = Unit.Percentage(100);
        settings.Height = Unit.Pixel(400);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConfirmationAbnormality", "LPOPConsolidation");
        });
    }).GetHtml()

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupLPOPConfirmationUploadConfirmation";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(250);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.ShowShadow = true;
        settings.CloseAction = CloseAction.None;
        //settings.ClientSideEvents.Closing = "RefreshAllTab";
        settings.SetContent(() =>
        {
            Html.RenderPartial("HeaderTabLPOPConfirmationUploadConfirmationPartial");
        });
    }).GetHtml()

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupLPOPConfirmationUploadProgress";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(220);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.None;
        settings.SetContent(() =>
        {
            Html.RenderPartial("HeaderTabLPOPConfirmationUploadProgressPartial");
        });
    }).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.Name = "popupDownload";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    settings.CloseAction = CloseAction.None;
    settings.ShowHeader = false;
    settings.SetContent(() => {
        Html.RenderPartial("PopupDownloadConfirmation");
    });
}).GetHtml()

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupResult";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(220);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.None;
        settings.SetContent(() =>
        {
            Html.RenderPartial("LPOPPopupResult");
        });
    }).GetHtml()